diff -Naur a/OnboardingControllerAPI.h b/OnboardingControllerAPI.h
--- a/services/base/onboarding/cpp/inc/alljoyn/onboarding/OnboardingControllerAPI.h	2018-12-28 14:28:42.000000000 +0700
+++ b/services/base/onboarding/cpp/inc/alljoyn/onboarding/OnboardingControllerAPI.h	2018-12-28 13:41:03.000000000 +0700
@@ -67,7 +67,7 @@
      * @param[in] ftpUrl
      * @parram[out] status
      */
-    virtual void SetInfo(qcc::String userUUID, qcc::String claimToken, qcc::String serverUrl, qcc::String ftpUrl, short& status) = 0;
+    virtual void SetInfo(qcc::String userUUID, qcc::String claimToken, qcc::String serverUrl, qcc::String homeId, qcc::String shareId, short& status) = 0;
     virtual void Identify() = 0;
 
     /**
diff -Naur a/OnboardingControllerImpl.cc b/OnboardingControllerImpl.cc
--- a/services/base/onboarding/cpp/src/OnboardingDaemon/OnboardingControllerImpl.cc	2018-12-28 14:28:42.000000000 +0700
+++ b/services/base/onboarding/cpp/src/OnboardingDaemon/OnboardingControllerImpl.cc	2018-12-28 14:17:35.000000000 +0700
@@ -277,9 +277,10 @@
  * @param[in] ftpUrl
  * @parram[out] status
  */
-void OnboardingControllerImpl::SetInfo(qcc::String userUUID, qcc::String claimToken, qcc::String serverUrl, qcc::String ftpUrl, short& status)
+void OnboardingControllerImpl::SetInfo(qcc::String userUUID, qcc::String claimToken, qcc::String serverUrl,
+                                      qcc::String homeId, qcc::String shareId, short& status)
 {
     QCC_DbgHLPrintf(("entered %s", __FUNCTION__));
     status = 0;
 
     //update userUUID
@@ -308,12 +310,21 @@
 
     execute_system(setServerUrl.c_str());
 
-    //update ftp url
-    qcc::String setFtpUrl = "uci set security.@remote-access[0].firmware_address=";
-    setFtpUrl.append(ftpUrl);
+    //update homeId
+    qcc::String setFtpUrl = "uci set security.@remote-access[0].homeId=";
+    setFtpUrl.append(homeId);
 
     execute_system(setFtpUrl.c_str());
 
+    //update shareId
+    if(!shareId.empty())
+    {
+        qcc::String setFtpUrl = "uci set security.@remote-access[0].userId=";
+        setFtpUrl.append(shareId);
+
+        execute_system(setFtpUrl.c_str());
+    }
+
     //update configured
     execute_system("uci set security.@local-access[0].state='configured'");
     execute_system("uci commit security");
@@ -332,7 +344,7 @@
 void OnboardingControllerImpl::Identify()
 {
     char command[256];
-    char *idenfityStr = readOption("/tmp/", "inform.@setup[0].identify");
+    char *idenfityStr = readOption((char*)"/tmp/", "inform.@setup[0].identify");
     if(idenfityStr)
     {
         unsigned int currentTime = (unsigned)time(NULL);
diff -Naur a/OnboardingControllerImpl.h b/OnboardingControllerImpl.h
--- a/services/base/onboarding/cpp/src/OnboardingDaemon/OnboardingControllerImpl.h	2018-12-28 14:28:42.000000000 +0700
+++ b/services/base/onboarding/cpp/src/OnboardingDaemon/OnboardingControllerImpl.h	2018-12-28 13:39:46.000000000 +0700
@@ -79,7 +79,7 @@
      * @param[in] ftpUrl
      * @parram[out] status
      */
-    virtual void SetInfo(qcc::String userUUID, qcc::String claimToken, qcc::String serverUrl, qcc::String ftpUrl, short& status);
+    virtual void SetInfo(qcc::String userUUID, qcc::String claimToken, qcc::String serverUrl, qcc::String homeId, qcc::String shareId, short& status);
 
     /**
      * Set Identify
diff -Naur a/OnboardingService.cc b/OnboardingService.cc
--- a/services/base/onboarding/cpp/src/OnboardingService.cc	2018-12-28 14:28:42.000000000 +0700
+++ b/services/base/onboarding/cpp/src/OnboardingService.cc	2018-12-28 14:12:07.000000000 +0700
@@ -59,7 +59,7 @@
 
         CHECK_RETURN(intf->AddMethod("ConfigureWiFi", "ssn", "n", "SSID,passphrase,authType,status", 0));
         CHECK_RETURN(intf->AddMethod("Connect", NULL, NULL, NULL, 0));
-        CHECK_RETURN(intf->AddMethod("SetInfo","ssss","n","userUUID,claimToken,serverUrl,ftpUrl,status",0));
+        CHECK_RETURN(intf->AddMethod("SetInfo","sssss","n","userUUID,claimToken,serverUrl,homeId,shareId,status",0));
         CHECK_RETURN(intf->AddMethod("Identify",NULL,"n","status",0));
         CHECK_RETURN(intf->AddMethod("SelectWiFiInform",NULL,"n","status",0));
         CHECK_RETURN(intf->AddMemberAnnotation("Connect", org::freedesktop::DBus::AnnotateNoReply, "true"));
@@ -234,7 +234,8 @@
     char* userUUID;
     char* claimToken;
     char* serverUrl;
-    char* ftpUrl;
+    char* homeId;
+    char* shareId;
 
     QStatus status = ER_OK;
     short setkeyStatus = 0;
@@ -246,9 +247,10 @@
     args[0].Get("s", &userUUID);
     args[1].Get("s", &claimToken);
     args[2].Get("s", &serverUrl);
-    args[3].Get("s", &ftpUrl);
+    args[3].Get("s", &homeId);
+    args[4].Get("s", &shareId);
 
-    m_OnboardingController.SetInfo(userUUID, claimToken, serverUrl, ftpUrl, setkeyStatus);
+    m_OnboardingController.SetInfo(userUUID, claimToken, serverUrl, homeId, shareId, setkeyStatus);
 
     MsgArg retArgs[1];
     retArgs[0].Set("n", setkeyStatus);
